﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=6.78
@EndOfDesignText@
#IgnoreWarnings: 12

'
' Represents a rectangular geographical area on a map.
Sub Class_Globals
	
	Dim BANano As BANano 'ignore
	
	Dim LatLngBoundsObject As BANanoObject
	
	Dim L As BANanoObject

End Sub

'
' Creates a rectangular geographical area with no dimensions
Public Sub Initialize()
	L.Initialize("L")
	LatLngBoundsObject = L.RunMethod("latLngBounds", Array(Array(Array(0, 0), Array(0, 0))))
End Sub

'
' Creates a rectangular geographical area with (Lat1, Lng1) as the top left coordinate and (Lat2, Lng2) as the bottom right coordinate
Public Sub Initialize2(Lat1 As Double, Lng1 As Double, Lat2 As Double, Lng2 As Double)
	L.Initialize("L")
	LatLngBoundsObject = L.RunMethod("latLngBounds", Array(Array(Array(Lat1, Lng1), Array(Lat2, Lng2))))
End Sub

'
'
Public Sub Initialize3(LatLng1 As BANanoLeafletLatLng, LatLng2 As BANanoLeafletLatLng)
	L.Initialize("L")
	LatLngBoundsObject = L.RunMethod("latLngBounds", Array(Array(LatLng1.LatLngObject, LatLng2.LatLngObject)))
End Sub

'
'
Sub GetSouthWest() As BANanoLeafletLatLng
	Dim ReturnValue As BANanoLeafletLatLng
	ReturnValue.LatLngObject = LatLngBoundsObject.RunMethod("getSouthWest", Null)
	Return ReturnValue
End Sub

'
'
Sub GetNorthEast() As BANanoLeafletLatLng
	Dim ReturnValue As BANanoLeafletLatLng
	ReturnValue.LatLngObject = LatLngBoundsObject.RunMethod("getNorthEast", Null)
	Return ReturnValue
End Sub
