﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=6.78
@EndOfDesignText@
Sub Class_Globals
	
	Dim BANano As BANano 'ignore
	
	Dim RectangleObject As BANanoObject
	
	Dim L As BANanoObject

End Sub

'
'Initializes the rectangle with no dimensions
Public Sub Initialize()
	L.Initialize("L")
	RectangleObject = L.RunMethod("rectangle", Array(Array(Array(0,0), Array(0,0))))
End Sub

'
'Initializes the rectangle based on four coordinates
Public Sub Initialize2(Lat1 As Double, Lng1 As Double, Lat2 As Double, Lng2 As Double)
	L.Initialize("L")
	RectangleObject = L.RunMethod("rectangle", Array(Array(Array(Lat1, Lng1), Array(Lat2, Lng2))))
End Sub

'
'Initializes the rectangle based on a Latitude and a Longitude-Object
Public Sub Initialize3(LatLng1 As BANanoLeafletLatLng, LatLng2 As BANanoLeafletLatLng)
	L.Initialize("L")
	RectangleObject = L.RunMethod("rectangle", Array(Array(LatLng1.LatLngObject, LatLng2.LatLngObject)))
End Sub

'
'Initializes the rectangle based on Bounds-Object
Public Sub Initialize4(LatLngBounds As BANanoLeafletLatLngBounds)
	L.Initialize("L")
	RectangleObject = L.RunMethod("rectangle", Array(LatLngBounds.LatLngBoundsObject))
End Sub

'
'Returns the bounds of this rectangle
Public Sub GetBounds() As BANanoLeafletLatLngBounds
	Dim ReturnValue As BANanoLeafletLatLngBounds
	ReturnValue.LatLngBoundsObject = RectangleObject.RunMethod("getBounds", Null)
	Return ReturnValue
End Sub

'
'Sets the tooltip of this rectangle
Sub SetTooltip(Tooltip As String) 'ignore
	If Tooltip = "" Then
		RectangleObject.RunMethod("unbindTooltip", Null)
	Else
		RectangleObject.RunMethod("bindTooltip", Tooltip)
	End If
End Sub

'
'Sets the style of this rectangle
Sub SetStyle(Style As String) 'ignore
	RectangleObject.RunMethod("setStyle", BANano.RunJavascriptMethod("JSON.parse", Array(Style)))
End Sub