﻿B4J=true
Group=SERVER
ModulesStructureVersion=1
Type=Class
Version=7.8
@EndOfDesignText@
'Class module
Sub Class_Globals
	
End Sub

Public Sub Initialize

End Sub

Sub Handle(req As ServletRequest, resp As ServletResponse)
	Dim fileName As String = req.GetHeader("fileName")
	Dim pageID As String = req.GetHeader("pageId")
	Dim page As Object = Main.Server.CachedPages.GetDefault(pageID, Null)
	
	Try
		If req.Method <> "POST" Then
			'resp.SendError(500, "Method not supported.")
			resp.Status = 500
			resp.Write("Method not supported.")
			resp.SetHeader("Connection", "close")
			req.InputStream.Close
			If pageID <> "" Then
				If page <> Null Then
					If SubExists(page, "BANano_Uploaded") Then
						CallSubDelayed3(page, "BANano_Uploaded", 500, fileName) 'ignore
					End If	
				End If
			End If
			Return
		End If
		
		If req.ContentLength > Main.Server.UploadMaxSize And Main.Server.UploadMaxSize > -1 Then
			'resp.SendError(501, "File is to big. Max size = " & Main.Server.UploadmaxSize & " kb.")
			resp.Status = 501
			resp.Write("File is to big. Max size = " & Main.Server.UploadmaxSize & " kb.")
			resp.SetHeader("Connection", "close")
			req.InputStream.Close
			If pageID <> "" Then
				If page <> Null Then
					If SubExists(page, "BANano_Uploaded") Then
						CallSubDelayed3(page, "BANano_Uploaded", 501, fileName) 'ignore
					End If
				End If
			End If
			Return
		End If
		
		Dim Ext As String
		Dim i As Int = fileName.LastIndexOf(".")
		If i > 0 Then
			Ext = fileName.SubString(i+1)
		End If
		
		If Ext <> "" And Main.Server.UploadAllowedFileTypes <> "" And (";" & Main.Server.UploadAllowedFileTypes.ToUpperCase & ";").IndexOf(";" & Ext.ToUpperCase & ";") < 0 Then
			'resp.SendError(502, "Filetype is not allowed.")
			resp.Status = 502
			resp.Write("Filetype is not allowed.")
			resp.SetHeader("Connection", "close")
			req.InputStream.Close
			If pageID <> "" Then
				If page <> Null Then
					If SubExists(page, "BANano_Uploaded") Then
						CallSubDelayed3(page, "BANano_Uploaded", 502, fileName) 'ignore
					End If	
				End If
			End If
			Return
		End If
		
		Dim In As InputStream = req.InputStream
		Dim out As OutputStream = File.OpenOutput(Main.Server.UploadFolder, fileName, False)
		File.Copy2(In, out)
		out.Close
		
		Log("Received file: " & fileName & ", size=" & File.Size(Main.Server.UploadFolder, fileName))
		resp.Write("File received successfully.")	
		If pageID <> "" Then
			If page <> Null Then
				If SubExists(page, "BANano_Uploaded") Then
					CallSubDelayed3(page, "BANano_Uploaded", 200, fileName) 'ignore
				End If	
			End If
		End If
	Catch
		'resp.SendError(500, "Method not supported.")
		resp.Status = 500
		resp.Write("Method not supported.")
		resp.SetHeader("Connection", "close")
		req.InputStream.Close
		If pageID <> "" Then
			If page <> Null Then
				CallSubDelayed3(page, "BANano_Uploaded", 500, fileName) 'ignore
			End If
		End If
		Return
	End Try
End Sub