﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=6.78
@EndOfDesignText@
#IgnoreWarnings: 12

Sub Process_Globals
	
	Private BANano As BANano 'ignore
	
	Dim LeafletMap As BANanoLeafletMap
	
End Sub

Sub Init()
	
	BANano.GetElement("#DemoContainer").Empty
	
	LeafletMap.Initialize("#DemoContainer")
	
	LeafletMap.SetStyle($"{ "width": "800px", "height": "600px" }"$)
	
	' add a TileLayer...

	Dim TileLayer As BANanoLeafletTileLayer
	TileLayer.Initialize
	LeafletMap.AddTileLayer(TileLayer)
	LeafletMap.PanTo(48.856613, 2.352222)
	LeafletMap.SetZoom(5)

	Dim FeatureGroup As BANanoLeafletFeatureGroup
	FeatureGroup.Initialize
	LeafletMap.AddFeatureGroup(FeatureGroup)

	' create a rectangle
	
	Dim LatLng1 As BANanoLeafletLatLng
	LatLng1.Initialize(51.5027589576403,  -0.020599365234375003)

	Dim LatLng2 As BANanoLeafletLatLng
	LatLng2.Initialize(51.444592621121764, 0.10711669921875001)

	Dim Bounds As BANanoLeafletLatLngBounds
	Bounds.Initialize3(LatLng1,LatLng2)
	
	Dim Rectangle As BANanoLeafletRectangle
	Rectangle.Initialize3(LatLng1, LatLng2)
	Rectangle.SetTooltip("I am a rectangle")
	Rectangle.SetStyle($"{ "color": "green" }"$)
	
	' and add it to the featuregroup
	
	FeatureGroup.AddRectangle(Rectangle)
	
	' create a circle

	Dim Circle As BANanoLeafletCircle
	Dim LatLng As BANanoLeafletLatLng
	LatLng.Initialize(51.46, -0.19)
	Circle.Initialize3(LatLng, 1500)
	Circle.SetTooltip("I am a circle")
	Circle.SetStyle($"{ "color": "red" }"$)

	' and add it to the featuregroup
	
	FeatureGroup.AddCircle(Circle)

	'
	
	LeafletMap.FitBounds(FeatureGroup.GetBounds)

End Sub

