﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=8
@EndOfDesignText@
'Custom BANano View class

'Uncomment the events you want to show to the user and implement the HandleEvents in DesignerCreateView 
'#Event: Focus (event As BANanoEvent)
'#Event: Blur (event As BANanoEvent)
'#Event: Resize (event As BANanoEvent)
'#Event: Scroll (event As BANanoEvent)
'#Event: Keydown (event As BANanoEvent)
'#Event: KeyUp (event As BANanoEvent)
'#Event: Click (event As BANanoEvent)
'#Event: ContextMenu (event As BANanoEvent)
'#Event: Dblclick (event As BANanoEvent)
'#Event: MouseDown (event As BANanoEvent)
'#Event: MouseEnter (event As BANanoEvent)
'#Event: MouseLeave (event As BANanoEvent)
'#Event: MouseMove (event As BANanoEvent)
'#Event: MouseOver (event As BANanoEvent)
'#Event: MouseOut (event As BANanoEvent)
'#Event: MouseUp (event As BANanoEvent)
'#Event: Wheel (event As BANanoEvent)
'#Event: Drag (event As BANanoEvent)
'#Event: DragEnd (event As BANanoEvent)
'#Event: DragEnter (event As BANanoEvent)
'#Event: DragStart (event As BANanoEvent)
'#Event: DragLeave (event As BANanoEvent)
'#Event: DragOver (event As BANanoEvent)
'#Event: Drop (event As BANanoEvent)
'#Event: TouchCancel (event As BANanoEvent)
'#Event: TouchEnd (event As BANanoEvent)
'#Event: TouchEnter (event As BANanoEvent)
'#Event: TouchLeave (event As BANanoEvent)
'#Event: TouchMove (event As BANanoEvent)
'#Event: TouchStart (event As BANanoEvent)
'#Event: Change (event As BANanoEvent)
#Event: Changed(Date as Long)
#Event: ChangedWeek(FirstDate as Long, LastDate as Long)

' Properties that will be show in the ABStract Designer.  They will be passed in the props map in DesignerCreateView (Case Sensitive!)
#DesignerProperty: Key: Classes, DisplayName: Classes, FieldType: String, DefaultValue: , Description: Classes added to the HTML tag.
#DesignerProperty: Key: Style, DisplayName: Style, FieldType: String, DefaultValue: , Description: Styles added to the HTML tag. Must be a json String.
#DesignerProperty: Key: MarginLeft, DisplayName: Margin Left, FieldType: String, DefaultValue: , Description: Margin Left
#DesignerProperty: Key: MarginRight, DisplayName: Margin Right, FieldType: String, DefaultValue: , Description: Margin Right
#DesignerProperty: Key: MarginTop, DisplayName: Margin Top, FieldType: String, DefaultValue: , Description: Margin Top
#DesignerProperty: Key: MarginBottom, DisplayName: Margin Bottom, FieldType: String, DefaultValue: , Description: Margin Bottom
#DesignerProperty: Key: PaddingLeft, DisplayName: Padding Left, FieldType: String, DefaultValue: , Description: Padding Left
#DesignerProperty: Key: PaddingRight, DisplayName: Padding Right, FieldType: String, DefaultValue: , Description: Padding Right
#DesignerProperty: Key: PaddingTop, DisplayName: Padding Top, FieldType: String, DefaultValue: , Description: Padding Top
#DesignerProperty: Key: PaddingBottom, DisplayName: Padding Bottom, FieldType: String, DefaultValue: , Description: Padding Bottom
#DesignerProperty: Key: Enabled, DisplayName: Enabled, FieldType: Boolean, DefaultValue: True, Description: If enabled.
#DesignerProperty: Key: Visible, DisplayName: Visible, FieldType: Boolean, DefaultValue: True, Description: If visible.

#DesignerProperty: Key: Label, DisplayName: Label, FieldType: String, DefaultValue: , Description: Label of the TextBox.
#DesignerProperty: Key: Width, DisplayName: Full Width, FieldType: Boolean, DefaultValue: True, Description: Set the width 100%. 
#DesignerProperty: Key: Placeholder, DisplayName: Placeholder, FieldType: String, DefaultValue: , Description: Placeholder text.
#DesignerProperty: Key: FirstDay, DisplayName: First day of week, FieldType: Int, DefaultValue: 0, Description: 0 = sunday, 1 = monday, etc...
#DesignerProperty: Key: WholeWeek, DisplayName: Whole week, FieldType: Boolean, DefaultValue: false, Description: Pick a whole week.
#DesignerProperty: Key: LanguageCode, DisplayName: Language code, FieldType: String, DefaultValue: en-US, Description: Language code.
#DesignerProperty: Key: PreviousMonth, DisplayName: Previous Month, FieldType: String, DefaultValue: Previous Month, Description: Text for Previous Month.
#DesignerProperty: Key: NextMonth, DisplayName: Next Month, FieldType: String, DefaultValue: Next Month, Description: Text for Next Month.
#DesignerProperty: Key: Months, DisplayName: Months, FieldType: String, DefaultValue: January;February;March;April;May;June;July;August;September;October;November;December, Description: Text Months, ; delimited.
#DesignerProperty: Key: WeekDays, DisplayName: Days, FieldType: String, DefaultValue: Sunday;Monday;Tuesday;Wednesday;Thursday;Friday;Saturday, Description: Text Days, ; delimited starting from Sunday.
#DesignerProperty: Key: WeekDaysShort, DisplayName: Days Short, FieldType: String, DefaultValue: Sun;Mon;Tue;Wed;Thu;Fri;Sat, Description: Text Short Days, ; delimited starting from Sunday.
Sub Class_Globals
	Private BANano As BANano 'ignore
	Private S As SKShared
	Private mName As String 'ignore
	Private mEventName As String 'ignore
	Private mCallBack As Object 'ignore
	Private mTarget As BANanoElement 'ignore
	Private mElement As BANanoElement 'ignore
	Private mElementLabel As BANanoElement
	
	Private mClasses As String = ""
	Private mStyle As String = ""
	Public MarginLeft As String = ""
	Public MarginRight As String = ""
	Public MarginTop As String = ""
	Public MarginBottom As String = ""
	Public PaddingLeft As String = ""
	Public PaddingRight As String = ""
	Public PaddingTop As String = ""
	Public PaddingBottom As String = ""
	Private mVisible As Boolean = True
	Private mEnabled As Boolean = True
	
	Private mLabel As String = ""
	Private mWidth As Boolean = False
	Private mPlaceHolder As String = ""	
	Private mFirstDay As Int = 0
	Private mWholeWeek As Boolean = False
	Private mLanguageCode As String = "en-US"
	Private mDateFormat As String = "medium"
	Private FormatOptions As Map
	Private mPreviousMonth As String = "Previous Month"
	Private mNextMonth As String = "Next Month"
	Private mMonths As String = "January;February;March;April;May;June;July;August;September;October;November;December"
	Private mWeekDays As String = "Sunday;Monday;Tuesday;Wednesday;Thursday;Friday;Saturday"
	Private mWeekDaysShort As String = "Sun;Mon;Tue;Wed;Thu;Fri;Sat"
	Public Picker As BANanoObject
	
	
End Sub

Public Sub Initialize (CallBack As Object, Name As String, EventName As String)
	mName = Name.ToLowerCase
	mEventName = EventName.ToLowerCase
	mCallBack = CallBack
	S.Initialize(Me)	
End Sub

' returns the BANanoElement
public Sub getElement() As BANanoElement
	Return mElement
End Sub

' returns the tag id
public Sub getID() As String
	Return mName
End Sub

' this is the place where you create the view in html and run initialize javascript.  Must be Public!
Public Sub DesignerCreateView (Target As BANanoElement, Props As Map)
	mTarget = Target

	If Props <> Null Then
		' set common properties
		S.SetProps(Props)
		' set component specific properties
		mLabel = Props.Get("Label")
		mWidth = Props.Get("Width")
		mPlaceHolder = Props.Get("Placeholder")		
		mFirstDay = Props.Get("FirstDay")
		mWholeWeek = Props.Get("WholeWeek")
		mLanguageCode = Props.Get("LanguageCode")
		mDateFormat = Props.Get("DateFormat")
		mPreviousMonth = Props.Get("PreviousMonth")
		mNextMonth = Props.Get("NextMonth")
		mMonths = Props.Get("Months")
		mWeekDays = Props.Get("WeekDays")
		mWeekDaysShort = Props.Get("WeekDaysShort")
	End If
	
	Dim exStyle As String = BuildExStyle
	
	Dim extraWidth As String
	If mWidth Then
		extraWidth = "u-full-width"
	End If
	
	FormatOptions.Initialize
	FormatOptions.Put("dateStyle", mDateFormat)
	
	mElementLabel = mTarget.Append($"<label id="${mName}label" for="${mName}">${BANano.SF(mLabel)}</label>"$).Get("#" & mName & "label")
	mElement = mTarget.Append($"<input id="${mName}" name="${mName}" class="${extraWidth} ${mClasses}" style="${exStyle}${mStyle}" placeholder="${mPlaceHolder}" type="text">"$).Get("#" & mName)
	setEnabled(mEnabled)
	setVisible(mVisible)
	
	Dim tmpMonths() As String = BANano.Split(";", mMonths)
	Dim tmpDays() As String = BANano.Split(";", mWeekDays)
	Dim tmpDaysShort() As String = BANano.Split(";", mWeekDaysShort)
	
	Dim localizations As Map
	localizations.Initialize
	localizations.Put("previousMonth", mPreviousMonth)
	localizations.Put("nexMonth", mNextMonth)
	localizations.Put("months", tmpMonths)
	localizations.Put("weekdays", tmpDays)
	localizations.Put("weekdaysShort", tmpDaysShort)
	
	Dim date As Object
	Dim options As BANanoObject		
	options.Initialize5
	options.SetField("field", mElement.ToObject)
	options.SetField("firstDay", mFirstDay)
	options.SetField("pickWholeWeek", mWholeWeek)
	options.SetField("showDaysInNextAndPreviousMonths", True)
	options.SetField("enableSelectionDaysInNextAndPreviousMonths", True)
	options.SetField("i18n", localizations)
	options.SetField("onSelect", BANano.CallBack(Me, "HandleDate", Array(date)))
		
	'' defining events is very simple. Note that it has to be run AFTER adding it to the HTML DOM! eventName must be lowercase!	
	Picker.Initialize2("Pikaday", options)
	
End Sub

public Sub AddToParent(targetID As String)
	mTarget = BANano.GetElement("#" & targetID.ToLowerCase)
	DesignerCreateView(mTarget, Null)
End Sub

public Sub Remove()
	mElementLabel.Remove
	mElement.Remove
	BANano.SetMeToNull
End Sub

#Region common shared properties and methods
public Sub Trigger(event As String, params() As String)
	S.Trigger(mElement, event, params)
End Sub

public Sub BuildExStyle() As String
	Return S.BuildExStyle
End Sub

public Sub setClasses(Classes As String)
	S.SetClasses(mElement, Classes)
End Sub

public Sub getClasses() As String
	Return S.GetClasses
End Sub

' must be a json string
' e.g. $"{ "width": "200px", "height": "200px", "background": "green", "border-radius": "5px" }"$
public Sub setStyle(Style As String)
	S.SetStyle(mElement,Style)
End Sub

public Sub getStyle() As String
	Return S.GetStyle
End Sub

public Sub setVisible(Visible As Boolean)
	S.SetVisible(mElement, Visible)
End Sub

public Sub getVisible() As Boolean
	Return S.GetVisible(mElement)
End Sub

public Sub setEnabled(Enabled As Boolean)
	S.SetEnabled(mElement, Enabled)
End Sub

public Sub getEnabled() As Boolean
	Return S.GetEnabled(mElement)
End Sub
#End Region

public Sub setLabel(label As String)
	If mElementLabel <> Null Then
		mElementLabel.SetHTML(BANano.SF(label))
	End If
	mLabel = label
End Sub

public Sub getLabel() As String
	Return mLabel
End Sub

public Sub getDate() As Long
	Return Picker.RunMethod("getDate", Null).RunMethod("getTime", Null)
End Sub

Public Sub setDate(date As Long)
	Picker.RunMethod("setDate", date)
End Sub

public Sub Clear()
	Picker.RunMethod("clear", Null)
End Sub

' 0 = january
public Sub GotoMonth(month As Int)
	Picker.RunMethod("gotoMonth", month)
End Sub

public Sub GotoToday() 
	Picker.RunMethod("gotoToday", Null)	
End Sub

public Sub ShowCalendar()
	Picker.RunMethod("show", Null)
End Sub

public Sub HideCalendar()
	Picker.RunMethod("hide", Null)
End Sub
#End Region

#Region Internal Events
public Sub HandleDate(date As BANanoObject)
	If mWholeWeek Then
		If mFirstDay = 0 Then
			Dim sundayDate As Int = date.RunMethod("getDate", Null) - date.runmethod("getDay", Null) 'ignore
			Dim sunday As BANanoObject
			sunday.Initialize2("Date", date.runmethod("setDate", sundayDate))
			Dim saturday As BANanoObject
			saturday.Initialize2("Date", date.RunMethod("setDate", (sundayDate + 6)))
			mElement.SetField("value", Array(sunday.runmethod("toLocaleString", Null) & " - " & saturday.RunMethod("toLocaleString", Null))) 'ignore
			BANano.CallSub(mCallBack, mEventName & "_changedWeek", Array(sunday.RunMethod("getTime", Array(mLanguageCode,FormatOptions)), saturday.RunMethod("getTime", Array(mLanguageCode,FormatOptions))))
		End If
		If mFirstDay= 1 Then
			Dim mondayDate As Int = GetMonday(date)
			Dim monday As BANanoObject
			monday.Initialize2("Date", date.runmethod("setDate", mondayDate))
			Dim sunday As BANanoObject
			sunday.Initialize2("Date", date.RunMethod("setDate", (mondayDate + 6)))
			mElement.SetField("value", Array(monday.runmethod("toLocaleString", Array(mLanguageCode,FormatOptions)) & " - " & sunday.RunMethod("toLocaleString", Array(mLanguageCode,FormatOptions)))) 'ignore
			BANano.CallSub(mCallBack, mEventName & "_changedWeek", Array(monday.RunMethod("getTime", Null), sunday.RunMethod("getTime", Null)))
		End If
	Else
		mElement.SetField("value", date.RunMethod("toLocaleString", Array(mLanguageCode,FormatOptions)))
		BANano.CallSub(mCallBack, mEventName & "_changed", date.RunMethod("getTime", Null))
	End If
	
End Sub

public Sub GetMonday(dt As BANanoObject) As Int
	dt.Initialize2("Date", dt)
	Dim day As Int = dt.RunMethod("getDay", Null)
	Dim diff As Int = dt.RunMethod("getDate", Null) - day
	If day = 0 Then 
		diff = diff - 6
	Else
		diff = diff + 1
	End If
	Return diff
End Sub
#End Region

